/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is the Bookmark Previews extension.
 *
 * The Initial Developer of the Original Code is
 * John Marshall <JohnM555@gmail.com>.
 * Portions created by the Initial Developer are Copyright (C) 2007
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   John Marshall <JohnM555@gmail.com>
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

function PlacesThumbView(aShowRow, aFlatList){

}
PlacesThumbView.prototype = {
  insertedItem: null,
  itemInserted: function(parent, item, newIndex) {
    this.insertedItem = item;
    //dump("iteminserted .. aItem: "+item+"| aFolder: "+parent+"|"+newIndex+"\n");
    //dump("item inserted\n");
  },
  removedItem: null,
  itemRemoved: function(parent, item, oldIndex) {
    //dump("item removed\n");
  },
  changedItem: null,
  itemChanged: function(item) {
    //dump("item changed\n");
  },
  replacedItem: null,
  itemReplaced: function(parent, oldItem, newItem, index) {
    //dump("itemReplaced: " + newItem.uri + "\n");
    //this.replacedItem = item;
  },
  openedContainer: null,
  containerOpened: function(item) {
    //dump("containeropened\n");
  },
  closedContainer: null,
  containerClosed: function(item) {
    //dump("containerclosed\n");
  },
  invalidatedContainer: null,
  invalidateContainer: function(item) {
    //dump("invalidateContainer()\n");
  },
  allInvalidated: null,
  invalidateAll: function() {
    //dump('invalidateall\n');
  },
  sortingMode: null,
  sortingChanged: function(sortingMode) {
    this.sortingMode = sortingMode;
    //dump("sortingChanged: "+sortingMode+"\n");
  },
  result: null,
  ignoreInvalidateContainer: false,
  addViewObserver: function(observer, ownsWeak) {},
  removeViewObserver: function(observer) {},
  reset: function() {
    this.insertedItem = null;
    this.removedItem = null;
    this.changedItem = null;
    this.replacedItem = null;
    this.openedContainer = null;
    this.closedContainer = null;
    this.invalidatedContainer = null;
    this.allInvalidated = null;
    this.sortingMode = null;
  }
};
